MALOC 0.1

Public Attributes | List of all members
sVcom Struct Reference
Vcom class

Contains public data members for Vcom class. More...

`#include <vcom.h>`

## Public Attributes
int | mpi_rank
| Local PE rank from MPI.
int | mpi_size
| Total number of PEs in this communicator from MPI.
int | type
| Communication type. 0 = not initialized 1 = Message Passing Interface 1.1.
int | error
| note if any error has occurred on this vcom device
void * | core
| Private MPI core.

## Detailed Description

Contains public data members for Vcom class.

Author
  Michael Holst

Note
  None

## Member Data Documentation

## ◆ core

void* sVcom::core

Private MPI core.

## ◆ error

int sVcom::error

note if any error has occurred on this vcom device

## ◆ mpi_rank

int sVcom::mpi_rank

Local PE rank from MPI.

## ◆ mpi_size

int sVcom::mpi_size

Total number of PEs in this communicator from MPI.

## ◆ type

int sVcom::type

Communication type.
0 = not initialized
1 = Message Passing Interface 1.1.

The documentation for this struct was generated from the following file:

- vcom.h